- Output depends on input and past behavior
- Requires use of storage elements

# Latches
## SR Latch
SR stands for *Set*/*Reset*, and functions like so:
- When a signal comes into $S$, $Q_a$ is **set** on and stays on until a signal comes into $R$, at which point the output ($Q_a$) is **reset**, back to zero.
- $S$ and $R$ are interchangeable, it just impacts whether $Q_a$ or $Q_b$ is set/reset. 
Truth table:

| $S$ | $R$ | $Q_a$ | $Q_b$ |
| --- | --- | ----- | ----- |
| 0   | 0   | 0/1   | 1/0   |
| 0   | 1   | 0     | 1     |
| 1   | 0   | 1     | 0     |
| 1   | 1   | 0     | 0     |
![[Pasted image 20250303095542.png]]